<template>
    <dynamic-control :config="config"  v-model="editedValue" :id="id"  min-width="1rem" max-width="90%"
    :is-invalid="validationParams.invalid" :invalid-msg="validationParams.message"/>
</template>

<script>
import DynamicControl from '@/components/DynamicControl';
import validationMixin from '@bloomio/spa-admin-common/mixins/validationMixin';

export default {
    components: {
        DynamicControl,
    },
    mixins: [validationMixin],
    props: {
        /** cell id */
        id: {
            type: String,
            required: true,
        },
        /** current value */
        value: {
            type: null,
            required: false,
        },
        /** control settings */
        config: {
            type: Object,
            required: false,
            default: () => {},
        },
    },
    computed: {
        editedValue: {
            get() {
                return this.value;
            },
            set(newVal) {
                this.$store.commit('clearValidationMessage', { path: this.validationPath, id: this.id });
                this.$emit('input', { id: this.id, value: newVal });
            },
        },
    },
};
</script>
